#ifndef __EMU_GCURSOR_H__
#define __EMU_GCURSOR_H__

#include "dosemu.h"

typedef struct {
	int x, y, width, height;
	Boolean drawn;
	union {
		unsigned short text[2];
		unsigned char graphics[256];
	} backingstore;
} mouse_erase_t;

/* this entire structure gets saved on a driver state save */
void erase_graphics_cursor(mouse_erase_t*);
void draw_graphics_cursor(int,int,int,int,int,int,mouse_erase_t*);
void define_graphics_cursor(short*,short*);

#endif
